// sanitorium.js@0.0.0
class Map {
  constructor() {
    this.map = [
      '████████    ████████████████████████████    ██████████████████████',
      '████████    ████████████████████████████    ██████████████████████',
      '████████    ████████████████████████████    ██████████████████████',
      '█████████░░██████████████████████████████░░███████████████████████',
      '                                            ▓        █████████████',
      '                                            ▓        █████████████',
      '██████████████████████████████████████████████████████████████████',
      '██████████████████████████████████████████████████████████████████',
      '██████████████████████████████████████████████████████████████████',
      '█████████         █    █         █    █████              █████████',
      '█████████ █ █ █ █ ░    ░         ░    ███████▓██████ ███▓█████████',
      '█████████         ░    ░         ░    █████            █▓█████████',
      '█████████ █ █ █ █ █    █         █    █████ ████████████▓█████████',
      '█████████         █    █  █████  █    █████              █████████',
      '█████████ █ █ █ █ █    █  █████  █    █████████ █ ██████▓█████████',
      '█████████         █    █         █    ██████    █      █▓█████████',
      '██████████░░███████    ████▓▓▓████    ██████    ████████▓█████████',
      '█████████                             ██████             █████████',
      '█████████                             ██████████████████ █████████',
      '███████████████████    ███████████    ██████████████████░█████████',
      '███████████████████    ███████████                       █████████',
      '███████████████████    ███████████                       █████████',
      '████████████████████░░██████████████▓▓▓▓▓▓████████████████████████',
      ' ████████    ░░   ░     ░    ░  ░   ░       █████████████████████ ',
      '  ███████  ░ ░ ░ ░   ░  ░  ░  ░  ░     ░    ███░░░░░░░░░░███████  ',
      '   ██████ ░░ ░ ░    ░ ░  ░  ░  ░   ░  ░  ░  ███ ████░█░█░██████   ',
      '    █████ ░ ░  ░ ░  ░   ░   ▓██  ░  ░  ░    ▓▓▓▓████░█░█░█████    ',
      '     ████░  ░ ░  ░   ░ ░   ▓███▓    ░ ░ ░   ████████░█░█░████     ',
      '      ███  ░   ░ ░ ░  ░ ░ ░ ██▓▓ ░ ░ ░  ░   ░░░░░░░░░░░░░███      ',
      '       ██ ░░ ░  ░ ░  ░   ░    ░   ░    ░    ███████████████       ',
      '        ██████████████████████████████████████████████████        ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
      '                                                                  ',
    ];
    
    /** Contains all objects with collisions. */
    this.objects = ['█'];

    this.kObjects = ['▓'];
    
    /** Contains the list of all page spawns. Must be a size of 8. */
    this.pages = [[11, 11], [44, 9], [28, 15], [30, 29], [47, 25]];//[[10, 9], [20, 9]];
    
    /** Conains all of the spawns for the map. */
    this.spawns = {
      killer: [[27, 9], [28, 9], [29, 9], [27, 10], [28, 10], [29, 10], [27, 11], [28, 11], [29, 11]],
      survivor: [[10, 24], [12, 24], [10, 26], [12, 26]],
    };
  }
};

// Creates a new map.
module.exports = () => {
  return new Map();
};
