// Requires a length of a string, useful for message boundaries.
module.exports = (string, requiredLength, insertionString, addToLeft) => {
  // Prepare string just in-case it's not a string.
  let finalString = String(string);

  // Check the string length.
  if (finalString.length < requiredLength) {
    if (addToLeft) {
      finalString = insertionString.repeat(requiredLength - finalString.length) + finalString;
    } else {
      finalString = finalString + insertionString.repeat(requiredLength - finalString.length);
    }
  } else if (finalString.length > requiredLength) {
    finalString = finalString.slice(0, requiredLength);
  } else {
    return finalString;
  }

  // Return the requirized string.
  return finalString;
};
