// Writes an error message to stdout.
module.exports.error = (...error) => {
  let finalMessage = '';

  // Append all of the arguments to the message.
  error.forEach((value, index) => {
    if (index === error.length - 1) {
      finalMessage += value;
    } else {
      finalMessage += `${value} `;
    }
  });

  // Write the message to the Node.js stdout.
  process.stdout.write(`\x1b[41m${finalMessage}\x1b[0m\n`);
};

// Writes a general message to stdout.
module.exports.info = (...information) => {
  let finalMessage = '';

  // Append all of the arguments to the message.
  information.forEach((value, index) => {
    if (index === information.length - 1) {
      finalMessage += value;
    } else {
      finalMessage += `${value} `;
    }
  });

  // Write the message to the Node.js stdout.
  process.stdout.write(`\x1b[44m${finalMessage}\x1b[0m\n`);
};

// Writes a general message to stdout.
module.exports.log = (...message) => {
  let finalMessage = '';

  // Append all of the arguments to the message.
  message.forEach((value, index) => {
    if (index === message.length - 1) {
      finalMessage += value;
    } else {
      finalMessage += `${value} `;
    }
  });

  // Write the message to the Node.js stdout.
  process.stdout.write(`\x1b[0m${finalMessage}\x1b[0m\n`);
};

// Writes a general message to stdout.
module.exports.warn = (...warning) => {
  let finalMessage = '';

  // Append all of the arguments to the message.
  warning.forEach((value, index) => {
    if (index === warning.length - 1) {
      finalMessage += value;
    } else {
      finalMessage += `${value} `;
    }
  });

  // Write the message to the Node.js stdout.
  process.stdout.write(`\x1b[43m${finalMessage}\x1b[0m\n`);
};
